<?php
class ModelTotalDescontoAutomatico extends Model {
    public function getTotal(&$total_data, &$total) {
        $this->language->load('total/descontoautomatico');
        $acerto = 0 ;
        foreach ($this->cart->getProducts() as $produto) {
            if (!$produto['product_kit_id']) {
                $acerto += $produto['quantity'] * $produto["desconto_automatico"];

            }
        }

        if($acerto >= 0){
            return;
        }


        $total += $acerto;

        $total_data[] = array(
            'code' => 'descontoautomatico',
            'title' => ($this->config->get('descontoautomatico_title')) ? $this->config->get('descontoautomatico_title') : $this->language->get('heading_title'),
            'text' => $this->currency->format($acerto),
            'value' => $acerto,
            'sort_order' => $this->config->get('descontoautomatico_sort_order')
        );
    }
}
